Subject: bug#21238: ELPA not available over TLS

From: Stefan Monnier <[email-masked]>
Date: Tue, 11 Aug 2015 22:25:07 -0400

> Even if packages were signed and I could verify all of them, I still don't
> think it's the NSA's business which packages I've requested from ELPA.
> It would be nice if ELPA were available over TLS to provide both an
> additional level of security,

AFAIK you can already use "https://..." addresses.  This should work for
the GNU ELPA server, at least.

> and to provide an interim solution while we are waiting for
> package signing.

All GNU ELPA packages are signed and Emacs-24.5 does check them if you
have GPG installed.

        Stefan